Lucius API
Webhooks

Rotate the signing secret

Issues a new secret immediately. The old secret stops working.

POST
/v1/webhook-endpoints/{id}/rotate-secret

Authorization

AuthorizationBearer <token>

API key as Bearer token: Authorization: Bearer luc_live_.... Create keys in the dashboard under Settings > API Keys.

In: header

Path Parameters

id*string

Webhook endpoint ID.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/webhook-endpoints/string/rotate-secret"
{  "object": "webhook_endpoint",  "id": "string",  "url": "string",  "description": "string",  "events": [    "customer.created"  ],  "status": "enabled",  "created_at": "2019-08-24T14:15:22Z",  "secret": "string"}

{  "error": "Missing API key"}

{  "error": "Not found"}